#
# spec file for package grantleetheme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           grantleetheme
Version:        16.08.2
Release:        1.1
Summary:        Base package of kdepim
License:        GPL-2.0
Group:          System/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  grantlee5-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  knewstuff-devel
BuildRequires:  pkgconfig(Qt5Network) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the grantleetheme library.

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5GrantleeTheme5
Summary:        GrantleeTheme library for kdepim
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       grantleetheme = %{version}

%description -n libKF5GrantleeTheme5
The GrantleeTheme library

%post -n libKF5GrantleeTheme5  -p /sbin/ldconfig
%postun -n libKF5GrantleeTheme5 -p /sbin/ldconfig

%package devel
Summary:        Development package for grantleetheme
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Requires:       libKF5GrantleeTheme5 = %{version}

%description devel
The development package for the grantleetheme libraries

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/GrantleeTheme/
%{_includedir}/KF5/grantleetheme/
%{_includedir}/KF5/grantleetheme_version.h
%{_libdir}/cmake/KF5GrantleeTheme/
%{_libdir}/libKF5GrantleeTheme.so
%{_libdir}/qt5/mkspecs/modules/qt_GrantleeTheme.pri

%files
%defattr(-,root,root)
%{_kf5_configdir}/grantleetheme.categories
%{_libdir}/grantlee/

%files -n libKF5GrantleeTheme5
%defattr(-,root,root)
%{_libdir}/libKF5GrantleeTheme.so.*

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Sat Jul 16 2016 wbauer@tmo.at
- Cleanup build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Wed May 25 2016 tittiatcoke@gmail.com
- Adjust license
* Tue May 17 2016 lbeltrame@kde.org
- Use correct package groups
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
